<?php
/**
 * @module		mod_currency_exchange
 * @author		VietPublic
 * @website		https://vietpublic.net
 * @copyright	Copyright (C) 2024 VietPublic. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
 
defined('_JEXEC') or die;

class ModCurrencyExchangeHelper
{
    public static function getCurrencyExchangeData()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true)
            ->select($db->quoteName(array('currency', 'buy', 'sell')))
            ->from($db->quoteName('#__currency_exchange'));
        $db->setQuery($query);
        $items = $db->loadObjectList();
        return $items;
    }
	public static function getCurrencyExchangeFromXML($xmlUrl, $myTimezone)
	{
		// Include file Joomla's database
		$dbo = JFactory::getDbo();

		// Tải XML từ URL
		$xmlData = file_get_contents($xmlUrl);

		// Kiểm tra nếu có lỗi khi tải XML
		if ($xmlData === false) {
			die('Không thể tải dữ liệu XML');
		}

		// Phân tích XML thành đối tượng SimpleXMLElement
		$xml = simplexml_load_string($xmlData);

		// Xóa dữ liệu cũ trong bảng cơ sở dữ liệu
		$query = $dbo->getQuery(true)
			->delete($dbo->quoteName('#__currency_exchange'));
		$dbo->setQuery($query);
		$dbo->execute();
		
		date_default_timezone_set($myTimezone);
		
		$updated = date("Y-m-d H:i:s");
		
		// Lặp qua các phần tử 'Exrate' trong XML để lấy thông tin
		foreach ($xml->Exrate as $exrate) {
			// Lấy giá trị của các thuộc tính
			$currency = $exrate['CurrencyCode'];
			$buy = $exrate['Buy'];
			$sell = $exrate['Sell'];
			

			// Chèn dữ liệu mới vào cơ sở dữ liệu
			$query = $dbo->getQuery(true)
				->insert($dbo->quoteName('#__currency_exchange'))
				->columns(array($dbo->quoteName('currency'), $dbo->quoteName('buy'), $dbo->quoteName('sell'), $dbo->quoteName('updated')))
				->values($dbo->quote($currency) . ',' . $dbo->quote($buy) . ',' . $dbo->quote($sell). ',' . $dbo->quote($updated));
			$dbo->setQuery($query);
			$dbo->execute();
		}

		return 1;
	}
	public static function getTimeSequence()
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true)
            ->select($db->quoteName('updated'))
            ->from($db->quoteName('#__currency_exchange'))
			->setLimit(1);
        $db->setQuery($query);
        $result = $db->loadObjectList();
        return $result;
    }
}

?>
