<?php
/**
 * @module		mod_currency_exchange
 * @author		VietPublic
 * @website		https://vietpublic.net
 * @copyright	Copyright (C) 2024 VietPublic. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
 
// No direct access
defined('_JEXEC') or die;

$showTitle = $params->get('showTitle',1);
$myTimezone = $params->get('myTimezone','Asia/Ho_Chi_Minh');
$myInterval = $params->get('myInterval','6 hours');


// Include the helper file
require_once dirname(__FILE__) . '/helper.php';

// Đường dẫn đến file XML
$xmlUrl = "https://portal.vietcombank.com.vn/Usercontrols/TVPortal.TyGia/pXML.aspx";

date_default_timezone_set($myTimezone);

$currentTime = date('Y-m-d H:i:s',time()); 

$result = ModCurrencyExchangeHelper::getTimeSequence(); 

$dateTimeValue = $result[0]->updated;

//print 'Saved time: '.$dateTimeValue.'<br/>';

//print 'Current time: '.$currentTime.'<br/>';

if ($dateTimeValue) {
    
    $updatedTime = new DateTime($dateTimeValue);
	$currentTime = new DateTime($currentTime);
	
	$updatedTime = date_add($updatedTime, date_interval_create_from_date_string($myInterval));
	
	//echo date_format($updatedTime,"Y-m-d H:i:s").'<br/>';

    // So sánh thời gian
    if ($updatedTime < $currentTime) {
        // Nếu thời gian 'updated' nhỏ hơn thời điểm hiện tại, thực hiện công việc A
        $t = ModCurrencyExchangeHelper::getCurrencyExchangeFromXML($xmlUrl, $myTimezone);
    } else {
        // Nếu thời gian 'updated' lớn hơn hoặc bằng thời điểm hiện tại, thực hiện công việc B
        //echo "Chưa đến thời gian để cập nhật";
    }	
}
else {
	$t = ModCurrencyExchangeHelper::getCurrencyExchangeFromXML($xmlUrl, $myTimezone);
}
// Get the data from the helper
$items = ModCurrencyExchangeHelper::getCurrencyExchangeData();

// Include the template file
require JModuleHelper::getLayoutPath('mod_currency_exchange');

?>
