<?php
/**
 * @module		mod_currency_exchange
 * @author		VietPublic
 * @website		https://vietpublic.net
 * @copyright	Copyright (C) 2024 VietPublic. All rights reserved.
 */
 
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

// Lấy đối tượng document
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();

// Đăng ký stylesheet với WebAssetManager
$wa->registerAndUseStyle('flag-icons','https://cdn.jsdelivr.net/gh/lipis/flag-icons@7.0.0/css/flag-icons.min.css');

// Lấy đối tượng ngôn ngữ hiện tại
$language = JFactory::getLanguage();

// Check if there is data to display
if (!empty($items)) { 
	if ($showTitle) {
		echo '<div class="pb-2 text-center">';
		echo '<span class="fw-bold fs-4"><span>'. Text::_('MOD_CURRENCY_EXCHANGE_TITLE') .'</span></span>';
		echo '</div>';
	}
	echo '<table class="table table-hover mb-1"> ';
	echo '<thead>';
	echo '<tr class="table-info"><th><span class="text-uppercase fw-bold">' . Text::_('MOD_CURRENCY_EXCHANGE_CURRENCY_CODE') . '</span></th><th><span class="fw-bold float-end">' . Text::_('MOD_CURRENCY_EXCHANGE_CURRENCY_BUY') . '</span></th><th><span class="fw-bold float-end">' . Text::_('MOD_CURRENCY_EXCHANGE_CURRENCY_SELL') . '</span></th></tr>';
	echo '</thead>';
	echo '<tbody>';	
    foreach ($items as $item) {
		// Kiểm tra ngôn ngữ
		if ($language->getTag() === 'vi-VN') {
			$str_buy = str_replace(',','.',substr($item->buy,0,-3));
			if (strlen($str_buy)==0) {
				$str_buy = '-';
			}
			$str_sell = str_replace(',','.',substr($item->sell,0,-3));
			
		} else { 
			// Ngôn ngữ khác, xử lý tùy ý
			$str_buy = substr($item->buy,0,-3);
			if (strlen($str_buy)==0) {
				$str_buy = '-';
			}
			$str_sell = substr($item->sell,0,-3);
		}
		echo '<tr><td><span class="fi fi-'. strtolower(substr($item->currency,0,2)) . ' me-1"></span><span>' . $item->currency . '</span></td><td><span class="float-end">' . $str_buy . '</span></td><td><span class="float-end">' . $str_sell . '</span></td></tr>';
    }
	echo '</tbody>';	
	echo '</table>';
	echo '<div class="text-end">';
	echo '<span class="fst-italic pe-1">'. Text::_('MOD_CURRENCY_EXCHANGE_POWERED_BY') .'</span>';
	echo '</div>';
} else {
    echo '<p>'. Text::_('MOD_CURRENCY_EXCHANGE_NO_DATA') .'</p>';
}

?>